Skip to content

Replace catalog item

put

/catalogs/{catalog_name}/items/{item_id}

Use this endpoint to replace an item in your catalog.

If the item_id isn’t found, this endpoint will create the item in your catalog. This endpoint is synchronous.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/catalogs_catalog_items_synchronous_put_update_catalog_item.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!